Skip to main content
POST
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
synchronize
Synchronize a child environment with its parent
curl --request POST \
  --url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/synchronize \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "synchronize_code": true,
  "rebase": true,
  "synchronize_data": true,
  "synchronize_resources": true
}
'
{
  "status": "<string>",
  "code": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required
environmentId
string
required

Body

application/json
synchronize_code
boolean

Synchronize code?

rebase
boolean

Synchronize code by rebasing instead of merging

synchronize_data
boolean

Synchronize data?

synchronize_resources
boolean

Synchronize resources?

Response

default - application/json
status
string
required

The status text of the response

code
integer
required

The status code of the response

Last modified on April 10, 2026